Description

The point layer properties offers the possibility to draw symbols by field(s), i.e. Area scale (also known as "Size scale field" in the "New

symbology" dialog).

It would be nice to have the option to further scale the selected field by a scale factor, i.e. multiply by 0.1, by 10, etc.

To mention an example why this would be useful: I would like to scale the size of point-symbols that correspond to climatic stations

according to precipitation measurements. Currently it is required to experiment with the values of interest (e.g. multiplying them by 0.1,

0.01, etc.) to gain a new set of values that will give symbols that fit in to the picture but still reflect the differences of the measured

precipitation between the stations.

This enhancement will save a lot of time.

History

#1 - 2010-07-24 12:56 PM - Giovanni Manghi

The field "size" should already work as scale factor. This it at least how it works in qgis trunk/1.5. Please give it a try.

#2 - 2010-07-24 01:43 PM - nikos -

Replying to [comment:1 lutra]:

The field "size" should already work as scale factor. This it at least how it works in qgis trunk/1.5. Please give it a try.

Thank you lutra. I already (and usually) work with "trunk". The "size" field affects all points which is not what I want. Perhaps I did not explain my wish clear

enough. So another example:

1. I choose one svg-based symbol (e.g.r1)

2. set the size to e.g. 7

3. I choose the "aspect" column (values in degrees) to rotate the arrow symbol according to the aspect (works perfect)

4. further, I want to size each of the symbols separately and proportionally-to/based-on let's say elevation values!

To make a bit complicate (and give an idea about what I would like to have as a scaling factor option), I would like that higher elevation values would make

the symbols to appear smaller and, the opposite, lower elevation values should make the symbols to appear bigger.

So, given that I have an elevation column it takes me to figure out how to transform the existing values, create a new column, update it, set this new column
in the "Area scale" (or "size scale field" in the new symbology dialog).

Of course the simple version is to have the option to scale down for example area size values (varying from a few square meters up to some hundred

square meters). So I could on-the-fly turn 1000 to 10 and 100 to 1.

Not that I expect a magic do-it-all tool, but the ability to manually/arbitrarily(?) scale further the values stored in a column (of an attribute table) would be

great.

Hopefully I explained it well (this time). Thank you, Nikos

---

r1 [https://trac.osgeo.org/qgis/browser/trunk/qgis/images/north_arrows/NorthArrow_blackyellowblack.svg?rev=13955]

#3 - 2010-07-24 04:32 PM - nikos -

OK, I got it! Mea culpa.

It does what I want to do (the simple version). Keep the wish open for the complicated example, i.e. adjust symbol size based on a column but inversely(?)!

Thanks, Nikos

#4 - 2010-07-24 04:55 PM - nikos -

Replying to [comment:3 nikos]:

...adjust symbol size based on a column but inversely(?)!

Also possible using graduated symbols. But then again, each class has to be manually set up. It's ok when it is about 10 classes. What about 100 classes?

Maybe close this ticket and file a new one with the wish to apply common settings in multiple classes within the Graduated Symbol dialog?

#5 - 2010-07-25 01:38 AM - Giovanni Manghi

Maybe close this ticket and file a new one with the wish to apply common settings in multiple classes within the Graduated Symbol dialog?

or change the title of this ticket and add a new comment with the statement "new description" in bold.

#6 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#8 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#9 - 2015-10-16 04:34 AM - Nyall Dawson
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to fixed/implemented

Implemented in recent versions
